# SPDX-License-Identifier: GPL-2.0
%YAML 1.2
---
$id: http://devicetree.org/schemas/display/panel/startek,startek-kd050c.yaml#
$schema: http://devicetree.org/meta-schemas/core.yaml#

title: Startek Electronic Technology Co. KD050C 5.0" WVGA TFT LCD panel

maintainers:
  - Nikita Kiryanov <nikita@compulab.co.il>

allOf:
  - $ref: panel-dpi.yaml#

properties:
  compatible:
    items:
      - const: startek,startek-kd050c
      - {} # panel-dpi, but not listed here to avoid false select

  backlight: true
  enable-gpios: true
  height-mm: true
  label: true
  panel-timing: true
  port: true
  power-supply: true
  reset-gpios: true
  width-mm: true

additionalProperties: false

...
